<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.system.mapper.SystemUpdateMessageMapper">
    <select id="getPage" parameterType="com.xjrsoft.module.system.dto.SystemUpdateMessagePageDto" resultType="com.xjrsoft.module.system.vo.SystemUpdateMessagePageVo">
        select * from system_update_message t
        where t.delete_mark = 0
        <if test="dto.id != null and dto.id != ''">
            and t.id = #{dto.id}
        </if>
    </select>
</mapper>